-- Added:
-- Leveling messages
-- Login message (guild and popup)
-- Button for config
-- Death counter.

-- To be added:
-- Config
-- Thank you message for ressurection.
-- 

local LoadedFrame = CreateFrame("Frame")
LoadedFrame:RegisterEvent("ADDON_LOADED")

function LoadedFrame:OnEvent(event, arg1)
	if event == "ADDON_LOADED" and arg1 == "TheBrohmanMultiaddon" then
		if GuildMessagesValue == nil then
			GuildMessagesValue = 1
		end
		
		if GuildMessagesText then
			GuildMessagesText = GuildMessagesText
		else
			GuildMessagesText = "Hello there, lovely people!"
		end
		
		if ConfigButtonState == nil then
			ConfigButtonState = 0
		end
		
		if RessMsg == nil then
			RessMsg = 1
		end
		
		if CharacterDead == nil then
			CharacterDead = 0
		end
		
		if OverallDead == nil then
			OverallDead = 0
		end
	end
end
LoadedFrame:SetScript("OnEvent", LoadedFrame.OnEvent);

local EventFrame = CreateFrame("Frame")
EventFrame:RegisterEvent("PLAYER_LOGIN")
EventFrame:SetScript("OnEvent", function(self,event,...)
	if IsInGuild("player") then
		if GuildMessagesValue == 1 then
			SendChatMessage(""..GuildMessagesText.."" , "GUILD")
		else
		end
	else
	end
	if ConfigButtonState == 1 then
		MessageBtn:Show()
		MessageBtn:Enable()
	else
		MessageBtn:Hide()
		MessageBtn:Disable()
	end
	message("Greetings " .. UnitName("Player").. "! Nice to see you! Last time I checked, you were in level " .. UnitLevel("Player") .. ". Hope today's WoWing is fruitfull and fun!")
end)

-- local ressFrame = CreateFrame("Frame")
-- ressFrame:RegisterEvent("RESURRECT_REQUEST")
-- ressFrame:SetScript("OnEvent", function(self, _, _, ...)
	-- if RessMsg == 1 then
		-- AcceptResurrect();
		-- SendChatMessage("Thank you so much for the resurrection!", "WHISPER", nil, arg3)
	-- end
-- end)

local dieFrame = CreateFrame("Frame")
dieFrame:RegisterEvent("PLAYER_DEAD")
dieFrame:SetScript("OnEvent", function(self, ...)
	OverallDead = OverallDead + 1
	CharacterDead = CharacterDead + 1
	if CharacterDead == 1 then
		print("You just died for the first time on this character!")
		print("Total deaths overall: |cff00ccff"..OverallDead.."|r!")
	else
		print("Amount of deaths on this character: |cff00ccff"..CharacterDead.."|r!")
		print("Total deaths overall: |cff00ccff"..OverallDead.."|r!")
	end
end)

local lvlFrame = CreateFrame("Frame")
lvlFrame:RegisterEvent("PLAYER_LEVEL_UP")
lvlFrame:SetScript("OnEvent",
	function(self, event, ...)
	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9 = ...
	message("Congratulations on reaching level " .. arg1 .. ", " .. UnitName("Player") .. "!")
	if IsInGuild("player") then
		if arg1 == 100 then
			SendChatMessage("YAAAAAAAAAY! 100! Woohoooo!", "GUILD")
		elseif arg1 == 5 then
		elseif (arg1 % 5) == 0 then
			SendChatMessage("DING level " .. arg1 .. "! :D", "GUILD")
		end
	else
	end
end)

MessageBtn = CreateFrame("Button", "BrehButton", UIParent, "GameMenuButtonTemplate")
MessageBtn:SetPoint("CENTER", 5, 15)
MessageBtn:SetSize(140, 40)
MessageBtn:SetText("Options")
MessageBtn:SetMovable(true)
MessageBtn:EnableMouse(true)
MessageBtn:RegisterForDrag("RightButton")
MessageBtn:SetScript("OnDragStart", MessageBtn.StartMoving)
MessageBtn:SetScript("OnDragStop", MessageBtn.StopMovingOrSizing)

MessageBtn:SetScript("OnClick", function(self, button, down)
	if GuildMessagesValue == 1 then
		GuildMessagesValue = 0
		print("Logon guild-message has been disabled!")
	else
		GuildMessagesValue = 1
		print("Logon guild-message has been enabled!")
	end
	GuildMessagesValue = GuildMessagesValue
end)

SLASH_MAINCOMMANDS1, SLASH_MAINCOMMANDS2 = '/tbm', '/tbma';
function CommandHandler(input)
	local command, text = input:match("^(%S*)%s*(.-)$");
	
	if command:lower() == 'toggle' then
		if(ConfigButtonState == 1) then
			message("Deativated the button!")
			MessageBtn:Hide()
			MessageBtn:Disable()
			ConfigButtonState = 0
		elseif(ConfigButtonState == 0) then
			message("Activated the button!")
			MessageBtn:Show()
			MessageBtn:Enable()
			ConfigButtonState = 1
		else
			message("Activated the button!")
			MessageBtn:Show()
			MessageBtn:Enable()
			ConfigButtonState = 1
		end
	elseif command:lower() == 'guild' then
		if text == nil or text == '' then
			print("Current login message: |cff00ccff"..GuildMessagesText.."|r.")
		else
			print("Guild-logon message changed to: |cff00ccff"..text.."|r.")
			GuildMessagesText = text
		end
	elseif command:lower() == 'deaths' then
		print("Amount of deaths on this character: |cff00ccff"..CharacterDead.."|r!")
		print("Total deaths overall: |cff00ccff"..OverallDead.."|r!")
	elseif command:lower() == 'meha' or command:lower() == 'mehriaa' then
			print("|cff00ccffNever forgotten... Sleep well my dear princess <3|r")
	elseif command:lower() == 'ress' then
		if RessMsg == 1 then
			print("|cff00ccffResurrection messages has been toggled off!|r")
			RessMsg = 0
		else
			print ("|cff00ccffResurrection messages has been toggled on!|r")
			RessMsg = 1
		end
	else
		print("List of commands:")
		print("/tbm toggle - |cff00ccffToggling the options button!|r")
		print("/tbm - |cff00ccffShows all the available commands!|r")
		print("/tbm guild - |cff00ccffShows/Sets the current guild message!")
		print("/tbm ress - |cff00ccffToggles the resurrection whisper & Auto-Accept!")
		print("/tbm deaths - |cff00ccffShows you how many times you have died!")
	end
end
SlashCmdList["MAINCOMMANDS"] = CommandHandler; -- Also a valid assignment strategy